Bug 526482 - libvirtError: internal error unable to start guest: char device redirected to /dev/pts/6
Summary: libvirtError: internal error unable to start guest: char device redirected to...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-30 15:01 UTC by Dan Williams
Modified: 2009-11-20 22:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 19:46:22 UTC


Attachments (Terms of Use)

Description Dan Williams 2009-09-30 15:01:11 UTC
virt-manager-0.7.0-5.fc11.x86_64

Choosing "run" from the menu results in this error sometimes.  To run virt-manager I do "sudo virt-manager" since I can't seem to run it as my normal user.

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 493, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 573, in startup
    self.vm.create()
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 287, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error unable to start guest: char device redirected to /dev/pts/6

Comment 1 Cole Robinson 2009-09-30 15:11:47 UTC
Can you post /var/log/libvirt/qemu/<vmname>.log and ~/.virt-manager/virt-manager.log?

Comment 2 Mark McLoughlin 2009-10-02 14:38:43 UTC
also, dcbw: see bug #524732 (polkit related) for what might be your "I can't seem to run it as my normal user" issue

Comment 3 Mark McLoughlin 2009-11-20 19:46:22 UTC
No response to needinfo since 2009-09-30, closing

Comment 4 Dan Williams 2009-11-20 22:08:41 UTC
Turns out this was the fstab devpts thing.  Apparently at install time anaconda wasn't setting correct options (gid=5,mode=620) which caused this.


Note You need to log in before you can comment on or make changes to this bug.